--[[
Name: targetAssist
Author: Sonora (The Dragonflight, US Kirin Tor)
Website & SVN: http://wow.curseforge.com/addons/targetassist/
License: GNU General Public License v3
]]

--Runs in application namespace
setfenv(1, targetAssist)

--This table should be serializable and configurable with in-game UI
defaultConfig = {
    
    --Header frame configuration
    headerWidth = 200,
    headerHeight = 15,
    headerAnchor = {'CENTER', 0, 0},
    headerTexture = [=[Interface\Addons\targetAssist\media\barTex]=],
    headerColor = {0.25, 0.26, 0.27, 1.0},
    headerBackdrop = {
       bgFile = [=[Interface\Tooltips\UI-Tooltip-Background]=],
       insets = {top = -1, left = -1, bottom = -1, right = -1}
    },
    headerUnlocked = true,
    
    --Target button configuration
    targetHeight = 25,
    targetTexture = [=[Interface\Addons\targetAssist\media\barTex]=],
    targetColor = {0.44, 0.37, 0.62, 0.9},
    targetBackdrop = {
       bgFile = [=[Interface\Tooltips\UI-Tooltip-Background]=],
       insets = {top = -1, left = -1, bottom = -1, right = -1}
    },
    missingColor = {0.1,0.1,0.1,0.1},
    myTargetColor = {0.35,0.70,0.42,0.9},
    
    showHealth = true,
    
    --Applies to all text
    fontName = "Fonts\\FRIZQT__.TTF",
    fontHeight = 11,
    fontColor = {1,1,1},
    
    --Distance between assist target and assist target target frames
    spacingOffset = 1,
    verticalOffset = -2,
    
    --Broadcasts and target updates
    autoAcceptBroadcasts = false,
    autoUpdateTanks = true,
    autoUpdateMainAssists = true,
    
    --Processing and efficiency
    updateInterval = 0.1,
    broadcastHistory = 10,
    
    --We persist targets between UI loads
    targets = {},

    --Will this ever change?  Here just in case.
    raidIcons = {
        {'Star',[[Interface\TargetingFrame\UI-RaidTargetingIcon_1]]},
        {'Circle',[[Interface\TargetingFrame\UI-RaidTargetingIcon_2]]},
        {'Diamond',[[Interface\TargetingFrame\UI-RaidTargetingIcon_3]]},
        {'Triangle',[[Interface\TargetingFrame\UI-RaidTargetingIcon_4]]},
        {'Moon',[[Interface\TargetingFrame\UI-RaidTargetingIcon_5]]},
        {'Square',[[Interface\TargetingFrame\UI-RaidTargetingIcon_6]]},
        {'Cross',[[Interface\TargetingFrame\UI-RaidTargetingIcon_7]]},
        {'Skull',[[Interface\TargetingFrame\UI-RaidTargetingIcon_8]]},
    },

}